
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>

This occurrence of free_irq_by_irq_and_dev() was missed when converting UML
to the use of hw_controller_type->release.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/drivers/line.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN arch/um/drivers/line.c~uml-complete-hw_controller_type-release-conversion arch/um/drivers/line.c
--- 25/arch/um/drivers/line.c~uml-complete-hw_controller_type-release-conversion	2005-06-08 15:26:56.000000000 -0700
+++ 25-akpm/arch/um/drivers/line.c	2005-06-08 15:26:56.000000000 -0700
@@ -756,7 +756,6 @@ static void unregister_winch(struct tty_
         if(winch->pid != -1)
                 os_kill_process(winch->pid, 1);
 
-        free_irq_by_irq_and_dev(WINCH_IRQ, winch);
         free_irq(WINCH_IRQ, winch);
         list_del(&winch->list);
         kfree(winch);
_
